[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#372552: marked as done (swapd: README.Debian needs updating since MAX_SWAPFILES is declared differently now in swap.h)



Your message dated Wed, 1 Sep 2010 15:36:06 +0200
with message-id <20100901133606.GJ12469@melusine.alphascorpii.net>
and subject line Package got removed
has caused the Debian Bug report #372552,
regarding swapd: README.Debian needs updating since MAX_SWAPFILES is declared differently now in swap.h
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
372552: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=372552
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: swapd
Version: 0.2-10
Severity: normal

README.Debian needs updating as step #4 ambiguously states as follows:

4. In include/linux/swap.h under Linux source directory change the value
   of MAX_SWAPFILES from 8 to 256. This defines how many swaps you will be
   able to have.

Yet grepping for MAX_SWAPFILES in include/linux/swap.h produces the following:

# grep MAX_SWAPFILES /usr/src/linux/include/linux/swap.h

 * MAX_SWAPFILES defines the maximum number of swaptypes: things which can
#define MAX_SWAPFILES_SHIFT     5
#define MAX_SWAPFILES           (1 << MAX_SWAPFILES_SHIFT)


The MAX_SWAPFILES declaration as the value (1 << MAX_SWAPFILES_SHIFT) has been declared as such for quite some time now. At least, the last four major kernel versions have it stated as such and included the MAX_SWAPFILES_SHIFT variable
with value set to 5..


Please clarify how the MAX_SWAPFILES/MAX_SWAPFILES_SHIFT variables are to be manipulated
in swap.h so this package can be utilized.

Thank you.

-- System Information:
Debian Release: by Linux-Systeme
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-beyond4
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=UTF-8)

Versions of packages swapd depends on:
ii  libc6                         2.3.6-15   GNU C Library: Shared libraries

swapd recommends no packages.

Attachment: pgprIR7OE1Rrw.pgp
Description: PGP signature


--- End Message ---
--- Begin Message ---
Version: 0.2-11+rm

Hi!

As the package got removed from the archive (Please see
http://bugs.debian.org/595091 for details) I hereby close these bug
report.

Best Regards,
  Alexander


--- End Message ---

Reply to: